<?php
  /**
  * Sdk Loggerbackend
  * 
  * @author Jon Smith <smithj@shedit.net.au>
  * @package js_sdk
  * @version 1.0
  */
  
  /**
  * Sdk Loggerbackend
  * 
  * @package js_sdk
  * @version 1.0
  */
  abstract class sdk_loggerbackend extends sdk {
    protected $urldata;
    
    /**
    * Constructor
    * 
    * @param array $urldata DSN Connection String from parse_url
    * @return sdk_loggerbackend
    */
    public function __construct($urldata) {
      $this->urldata = $urldata; 
    }
    
    /**
    * Abstract function to Log a Message
    * 
    * @param string $message Message to log
    * @param int $loglevel Log Level
    * @param mixed $module Module
    */
    abstract function logmessage($message, $loglevel = LOGGER_INFO, $module = null);
  }
  
?>
