-- phpMyAdmin SQL Dump
-- version 3.1.4-rc2
-- http://www.phpmyadmin.net
--
-- Host: localhost
-- Generation Time: Apr 24, 2009 at 10:53 PM
-- Server version: 5.0.51
-- PHP Version: 5.2.6

SET SQL_MODE="NO_AUTO_VALUE_ON_ZERO";


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;

--
-- Database: `ljsearchranktool`
--

-- --------------------------------------------------------

--
-- Table structure for table `tbl_auth`
--

CREATE TABLE IF NOT EXISTS `tbl_auth` (
  `id` int(11) NOT NULL auto_increment,
  `username` varchar(255) NOT NULL,
  `password` varchar(255) NOT NULL,
  `lastlogin` timestamp NOT NULL default '0000-00-00 00:00:00',
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 ;

--
-- Dumping data for table `tbl_auth`
--

INSERT INTO `tbl_auth` (`id`, `username`, `password`, `lastlogin`, `timestamp`) VALUES
(1, 'admin', '21232f297a57a5a743894a0e4a801fc3', '0000-00-00 00:00:00', '2009-04-24 20:57:53');

-- --------------------------------------------------------

--
-- Table structure for table `tbl_keywordresult`
--

CREATE TABLE IF NOT EXISTS `tbl_keywordresult` (
  `id` int(11) NOT NULL auto_increment,
  `keywordid` int(11) NOT NULL,
  `rank` tinyint(4) NOT NULL,
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `u1` (`keywordid`,`id`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 ;

--
-- Dumping data for table `tbl_keywordresult`
--


-- --------------------------------------------------------

--
-- Table structure for table `tbl_keywordsearch`
--

CREATE TABLE IF NOT EXISTS `tbl_keywordsearch` (
  `id` int(11) NOT NULL auto_increment,
  `siteid` int(11) NOT NULL,
  `keyword` varchar(255) NOT NULL,
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `u1` (`siteid`,`keyword`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 ;

--
-- Dumping data for table `tbl_keywordsearch`
--


-- --------------------------------------------------------

--
-- Table structure for table `tbl_parms`
--

CREATE TABLE IF NOT EXISTS `tbl_parms` (
  `id` int(11) NOT NULL auto_increment,
  `name` varchar(255) NOT NULL COMMENT 'Key Part of Key/Value pair',
  `value` varchar(255) NOT NULL COMMENT 'Value part of Key/Value pair',
  PRIMARY KEY  (`id`),
  UNIQUE KEY `name` (`name`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 COMMENT='System parameters' ;

--
-- Dumping data for table `tbl_parms`
--


-- --------------------------------------------------------

--
-- Table structure for table `tbl_site`
--

CREATE TABLE IF NOT EXISTS `tbl_site` (
  `id` int(11) NOT NULL auto_increment,
  `domain` varchar(255) NOT NULL,
  `timestamp` timestamp NOT NULL default CURRENT_TIMESTAMP on update CURRENT_TIMESTAMP,
  PRIMARY KEY  (`id`),
  UNIQUE KEY `domain` (`domain`)
) ENGINE=InnoDB  DEFAULT CHARSET=latin1 ;

--
-- Dumping data for table `tbl_site`
--


--
-- Constraints for dumped tables
--

--
-- Constraints for table `tbl_keywordresult`
--
ALTER TABLE `tbl_keywordresult`
  ADD CONSTRAINT `tbl_keywordresult_ibfk_1` FOREIGN KEY (`keywordid`) REFERENCES `tbl_keywordsearch` (`id`) ON UPDATE CASCADE;

--
-- Constraints for table `tbl_keywordsearch`
--
ALTER TABLE `tbl_keywordsearch`
  ADD CONSTRAINT `tbl_keywordsearch_ibfk_1` FOREIGN KEY (`siteid`) REFERENCES `tbl_site` (`id`) ON UPDATE CASCADE;
